Bug 987706 - [abrt] perl-Padre-0.90-6.fc18: gtk_file_system_model_sort: Process /usr/bin/perl was killed by signal 6 (SIGABRT)
[abrt] perl-Padre-0.90-6.fc18: gtk_file_system_model_sort: Process /usr/bin/p...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:39876ca30f3f9f12843eee72265...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 19:43 EDT by Sam Jorna
Modified: 2014-02-05 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:10:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.21 KB, text/plain)
2013-07-23 19:43 EDT, Sam Jorna
no flags Details
File: cgroup (133 bytes, text/plain)
2013-07-23 19:43 EDT, Sam Jorna
no flags Details
File: core_backtrace (2.81 KB, text/plain)
2013-07-23 19:43 EDT, Sam Jorna
no flags Details
File: dso_list (13.72 KB, text/plain)
2013-07-23 19:43 EDT, Sam Jorna
no flags Details
File: environ (1.40 KB, text/plain)
2013-07-23 19:43 EDT, Sam Jorna
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-23 19:43 EDT, Sam Jorna
no flags Details
File: maps (64.88 KB, text/plain)
2013-07-23 19:44 EDT, Sam Jorna
no flags Details
File: open_fds (484 bytes, text/plain)
2013-07-23 19:44 EDT, Sam Jorna
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2013-07-23 19:44 EDT, Sam Jorna
no flags Details

  None (edit)
Description Sam Jorna 2013-07-23 19:43:35 EDT
Version-Release number of selected component:
perl-Padre-0.90-6.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/perl /usr/bin/padre
crash_function: gtk_file_system_model_sort
executable:     /usr/bin/perl
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jul 23 09:48:02 cerberus abrt[29620]: Saved core dump of pid 22052 (/usr/bin/perl) to /var/tmp/abrt/ccpp-2013-07-23-09:48:00-22052 (177496064 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 gtk_file_system_model_sort at gtkfilesystemmodel.c:746
 #6 _gtk_file_system_model_update_file at gtkfilesystemmodel.c:1786
 #7 gtk_file_system_model_query_done at gtkfilesystemmodel.c:1154
 #8 g_simple_async_result_complete at gsimpleasyncresult.c:775
 #9 complete_in_idle_cb_for_thread at gsimpleasyncresult.c:843
 #14 gtk_main at gtkmain.c:1257
 #15 wxEventLoop::Run at src/gtk/evtloop.cpp:76
 #16 wxAppBase::MainLoop at src/common/appcmn.cpp:312
 #17 wxPliApp::MainLoop at cpp/app.h:177
 #18 XS_Wx__App_MainLoop at Wx.c:14654
Comment 1 Sam Jorna 2013-07-23 19:43:40 EDT
Created attachment 777512 [details]
File: backtrace
Comment 2 Sam Jorna 2013-07-23 19:43:43 EDT
Created attachment 777513 [details]
File: cgroup
Comment 3 Sam Jorna 2013-07-23 19:43:47 EDT
Created attachment 777514 [details]
File: core_backtrace
Comment 4 Sam Jorna 2013-07-23 19:43:50 EDT
Created attachment 777515 [details]
File: dso_list
Comment 5 Sam Jorna 2013-07-23 19:43:54 EDT
Created attachment 777516 [details]
File: environ
Comment 6 Sam Jorna 2013-07-23 19:43:57 EDT
Created attachment 777517 [details]
File: limits
Comment 7 Sam Jorna 2013-07-23 19:44:02 EDT
Created attachment 777518 [details]
File: maps
Comment 8 Sam Jorna 2013-07-23 19:44:05 EDT
Created attachment 777519 [details]
File: open_fds
Comment 9 Sam Jorna 2013-07-23 19:44:08 EDT
Created attachment 777520 [details]
File: proc_pid_status
Comment 10 Fedora Admin XMLRPC Client 2013-08-12 09:04:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2013-12-21 09:22:45 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Michael Schwendt 2014-01-09 02:08:10 EST
Still an issue in GTK+ 2 file dialog in F19 and F20, affecting other programs, too:

https://bugzilla.redhat.com/buglist.cgi?quicksearch=gtk_file_system_model_sort&list_id=2079653
Comment 13 Fedora End Of Life 2014-02-05 17:10:37 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.